C API Functions

## udbListReferenceFile

### Description

Lookup the list of all references within the specified file. Call udbListReferenceFree() to free this list.

### Syntax

     #include "udb/udb.h"
     void  udbListReferenceFile(UdbEntity file,
                               UdbReference **refs,
                               int *items)

### Arguments

Argument | description
UdbEntity file | Specify the file entity to obtain references for.
UdbReference **refs | Return allocated array of references.
int *items | If not NULL, return size of references array.

### Return Values

There are no function return values.

### Example Usage

     udbListReferenceFile(fileent, &refs, &size);
    ...
    udbListReferenceFree(refs);

### See Also

udbListReference to get list of references for a specified entity.

udbListReferenceFilter to filter the list of references.

udbListReferenceFree to free the list of references.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com